Moodle 3.5.1 frigivet - Sådan installeres på Ubuntu 16.04 | 18.04 LTS

  • Yurii Anneticus
  • 0
  • 1500
  • 267

Moodle, et open source kursusadministrationssystem (CMS) skrevet og baseret på PHP, der giver læringsinstitutioner og organisationer mulighed for at oprette kraftfulde kurser for studerende og andre brugere er blevet opdateret til version 3.5.1...

Moodle bruges af mange fjernundervisningsinstitutioner rundt om i verden til at tilbyde kurser til deres studerende ... det er gratis og frigivet under GNU's generelle offentlige licens ...

Denne udgivelse medførte mange ændringer, herunder fejlrettelser og forbedringer ...

Hvis du ønsker at installere den nyeste version af Moodle, skal nedenstående indlæg få dig derhen .... Du lærer, hvordan du installerer Moodle med Apache2 eller Nginx HTTP-server ... Nedenfor er en liste over forbedringer og fejlrettelser inkluderet i denne udgivelse:

  • Gør det muligt for administratorer og fortrolighedsofficerer at fremsætte anmodninger om emneadgang på vegne af brugerne
  • Siden med anmodninger om data kan blive filtreret eller sorteret og er pagineret
  • Bruger, der fremsatte dataanmodningen vist på siden med dataanmodninger
  • Flere unødvendige AJAX-anmodninger om beskeder
  • Kan ikke installere Moodle med MariaDB-version> = 10.3.1
  • Spørgsmål om kort svar vises ikke korrekt, når du bruger Boost-temaet
  • Kalenderhændelsesbeskrivelser gemmes ikke, når du bruger TinyMCE
  • Træk og slip spørgsmålstyper brudt, når du bruger iOS 11.3
  • Filnavn korruption ved download, når navnet indeholder multibyte tegn, når du bruger MS Edge
  • Meddelelser er ikke markeret som læst, når der klikkes på dem
  • Nyt 'slettet' felt til forumindlæg bruges på den forkerte måde til RSS-feeds
  • Anmodning om at slette forumdata for en bruger sletter filer for alle brugere
  • Deltagersiden udnytter hukommelsen med mange rolletildelinger på hele webstedet
  • Spørgsmåls gengivelses-API understøtter ikke alle 'spørgsmålstal', der muligvis er nødvendige
  • get_recordset-metoder indlæser hele resultatsættet i hukommelsen i Postgres
  • Politik-plugin-problem, når gæster forsøger at oprette en konto
  • Databaseundtagelse ved sletning af brugerdata fra HTML-blokken
  • Foruddefinerede tags vises ikke i rullemenuen med spørgsmålstags
  • Redigeringsindstillinger forsvinder efter at have gemt en lektionsside i udvidet visning

Læs mere om denne udgivelse på denne side med ændringer ...

For studerende og nye brugere, der ønsker at lære at installere Moodle, kan nedenstående indlæg hjælpe dig:

Installation af Moodle med Apache2 support

For at installere Moodle med Apache2 support skal du læse nedenstående indlæg:

Opsæt Moodle CMS på Ubuntu 18.04 LTS med Apache2, MariaDB og PHP 7.1 Support

Installer Moodle med Nginx HTTP-understøttelse

Hvis du i stedet vil køre Moodle med Nginx-support, hjælper nedenstående indlæg dig:

Installer Moodle CMS på Ubuntu 18.04 LTS med Nginx, MariaDB og PHP 7.1 Support

Det er det!

Håber du kan lide indlægget, og kom snart tilbage.

god fornøjelse!




Endnu ingen kommentarer

En samling nyttige oplysninger om Linux-operativsystemet og nye teknologier
Friske artikler, praktiske tip, detaljerede anmeldelser og guider. Føl dig hjemme i Linux-operativsystemets verden